org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetaStorage.TmpStorage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetaStorage.TmpStorage

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  MetaStorage

    public static class MetaStorage.TmpStorage
    extends Object
    implements Closeable

Temporary storage

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String key, byte[] val)` Put data
`void` `close()`
`Stream<IgniteBiTuple<String,byte[]>>` `stream()` Read data from storage

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### add

    public void add(String key,
                    byte[] val)
             throws IgniteCheckedException

Put data

Parameters:
  `key` - Key.
  `val` - Value.
Throws:
  `IgniteCheckedException`

#### stream

    public Stream<IgniteBiTuple<String,byte[]>> stream()

Read data from storage

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022